{
  "openai": [
    "gpt-4-0613",
    "gpt-4",
    "gpt-3.5-turbo",
    "gpt-5.2-codex",
    "gpt-4o-mini-tts-2025-12-15",
    "gpt-realtime-mini-2025-12-15",
    "gpt-audio-mini-2025-12-15",
    "chatgpt-image-latest",
    "davinci-002",
    "babbage-002",
    "gpt-3.5-turbo-instruct",
    "gpt-3.5-turbo-instruct-0914",
    "dall-e-3",
    "dall-e-2",
    "gpt-4-1106-preview",
    "gpt-3.5-turbo-1106",
    "tts-1-hd",
    "tts-1-1106",
    "tts-1-hd-1106",
    "text-embedding-3-small",
    "text-embedding-3-large",
    "gpt-4-0125-preview",
    "gpt-4-turbo-preview",
    "gpt-3.5-turbo-0125",
    "gpt-4-turbo",
    "gpt-4-turbo-2024-04-09",
    "gpt-4o",
    "gpt-4o-2024-05-13",
    "gpt-4o-mini-2024-07-18",
    "gpt-4o-mini",
    "gpt-4o-2024-08-06",
    "chatgpt-4o-latest",
    "gpt-4o-audio-preview",
    "gpt-4o-realtime-preview",
    "omni-moderation-latest",
    "omni-moderation-2024-09-26",
    "gpt-4o-realtime-preview-2024-12-17",
    "gpt-4o-audio-preview-2024-12-17",
    "gpt-4o-mini-realtime-preview-2024-12-17",
    "gpt-4o-mini-audio-preview-2024-12-17",
    "o1-2024-12-17",
    "o1",
    "gpt-4o-mini-realtime-preview",
    "gpt-4o-mini-audio-preview",
    "computer-use-preview",
    "o3-mini",
    "o3-mini-2025-01-31",
    "gpt-4o-2024-11-20",
    "computer-use-preview-2025-03-11",
    "gpt-4o-search-preview-2025-03-11",
    "gpt-4o-search-preview",
    "gpt-4o-mini-search-preview-2025-03-11",
    "gpt-4o-mini-search-preview",
    "gpt-4o-transcribe",
    "gpt-4o-mini-transcribe",
    "o1-pro-2025-03-19",
    "o1-pro",
    "gpt-4o-mini-tts",
    "o3-2025-04-16",
    "o4-mini-2025-04-16",
    "o3",
    "o4-mini",
    "gpt-4.1-2025-04-14",
    "gpt-4.1",
    "gpt-4.1-mini-2025-04-14",
    "gpt-4.1-mini",
    "gpt-4.1-nano-2025-04-14",
    "gpt-4.1-nano",
    "gpt-image-1",
    "codex-mini-latest",
    "o3-pro",
    "gpt-4o-realtime-preview-2025-06-03",
    "gpt-4o-audio-preview-2025-06-03",
    "o3-pro-2025-06-10",
    "o4-mini-deep-research",
    "o3-deep-research",
    "gpt-4o-transcribe-diarize",
    "o3-deep-research-2025-06-26",
    "o4-mini-deep-research-2025-06-26",
    "gpt-5-chat-latest",
    "gpt-5-2025-08-07",
    "gpt-5",
    "gpt-5-mini-2025-08-07",
    "gpt-5-mini",
    "gpt-5-nano-2025-08-07",
    "gpt-5-nano",
    "gpt-audio-2025-08-28",
    "gpt-realtime",
    "gpt-realtime-2025-08-28",
    "gpt-audio",
    "gpt-5-codex",
    "gpt-image-1-mini",
    "gpt-5-pro-2025-10-06",
    "gpt-5-pro",
    "gpt-audio-mini",
    "gpt-audio-mini-2025-10-06",
    "gpt-5-search-api",
    "gpt-realtime-mini",
    "gpt-realtime-mini-2025-10-06",
    "sora-2",
    "sora-2-pro",
    "gpt-5-search-api-2025-10-14",
    "gpt-5.1-chat-latest",
    "gpt-5.1-2025-11-13",
    "gpt-5.1",
    "gpt-5.1-codex",
    "gpt-5.1-codex-mini",
    "gpt-5.1-codex-max",
    "gpt-image-1.5",
    "gpt-5.2-2025-12-11",
    "gpt-5.2",
    "gpt-5.2-pro-2025-12-11",
    "gpt-5.2-pro",
    "gpt-5.2-chat-latest",
    "gpt-4o-mini-transcribe-2025-12-15",
    "gpt-4o-mini-transcribe-2025-03-20",
    "gpt-4o-mini-tts-2025-03-20",
    "gpt-3.5-turbo-16k",
    "tts-1",
    "whisper-1",
    "text-embedding-ada-002"
  ],
  "claude": [
    "claude-opus-4-6",
    "claude-opus-4-5-20251101",
    "claude-haiku-4-5-20251001",
    "claude-sonnet-4-5-20250929",
    "claude-opus-4-1-20250805",
    "claude-opus-4-20250514",
    "claude-sonnet-4-20250514",
    "claude-3-7-sonnet-20250219",
    "claude-3-5-haiku-20241022",
    "claude-3-haiku-20240307"
  ],
  "gemini": [
    "gemini-2.5-flash",
    "gemini-2.5-pro",
    "gemini-2.0-flash",
    "gemini-2.0-flash-001",
    "gemini-2.0-flash-lite-001",
    "gemini-2.0-flash-lite",
    "gemini-exp-1206",
    "gemini-2.5-flash-preview-tts",
    "gemini-2.5-pro-preview-tts",
    "gemma-3-1b-it",
    "gemma-3-4b-it",
    "gemma-3-12b-it",
    "gemma-3-27b-it",
    "gemma-3n-e4b-it",
    "gemma-3n-e2b-it",
    "gemini-flash-latest",
    "gemini-flash-lite-latest",
    "gemini-pro-latest",
    "gemini-2.5-flash-lite",
    "gemini-2.5-flash-image",
    "gemini-2.5-flash-preview-09-2025",
    "gemini-2.5-flash-lite-preview-09-2025",
    "gemini-3-pro-preview",
    "gemini-3-flash-preview",
    "gemini-3-pro-image-preview",
    "nano-banana-pro-preview",
    "gemini-robotics-er-1.5-preview",
    "gemini-2.5-computer-use-preview-10-2025",
    "deep-research-pro-preview-12-2025",
    "gemini-embedding-001",
    "aqa",
    "imagen-4.0-generate-preview-06-06",
    "imagen-4.0-ultra-generate-preview-06-06",
    "imagen-4.0-generate-001",
    "imagen-4.0-ultra-generate-001",
    "imagen-4.0-fast-generate-001",
    "veo-2.0-generate-001",
    "veo-3.0-generate-001",
    "veo-3.0-fast-generate-001",
    "veo-3.1-generate-preview",
    "veo-3.1-fast-generate-preview",
    "gemini-2.5-flash-native-audio-latest",
    "gemini-2.5-flash-native-audio-preview-09-2025",
    "gemini-2.5-flash-native-audio-preview-12-2025"
  ],
  "deepseek": [
    "deepseek-chat",
    "deepseek-reasoner"
  ],
  "groq": [
    "meta-llama/llama-prompt-guard-2-22m",
    "groq/compound",
    "groq/compound-mini",
    "openai/gpt-oss-safeguard-20b",
    "llama-3.1-8b-instant",
    "openai/gpt-oss-20b",
    "whisper-large-v3",
    "meta-llama/llama-4-scout-17b-16e-instruct",
    "meta-llama/llama-guard-4-12b",
    "whisper-large-v3-turbo",
    "llama-3.3-70b-versatile",
    "canopylabs/orpheus-v1-english",
    "openai/gpt-oss-120b",
    "qwen/qwen3-32b",
    "meta-llama/llama-4-maverick-17b-128e-instruct",
    "moonshotai/kimi-k2-instruct",
    "meta-llama/llama-prompt-guard-2-86m",
    "allam-2-7b",
    "moonshotai/kimi-k2-instruct-0905",
    "canopylabs/orpheus-arabic-saudi"
  ]
}